## python-pebble 4.5.3

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Pebble.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Pebble.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Pebble"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Pebble"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
python-pebble (4.5.3-1~20.04) focal-proposed; urgency=medium

  * SRU: LP: #1895971.  Backport python-pebble (dependency for cvise) to
    the LTS releases.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Sep 2020 14:39:20 +0200

python-pebble (4.5.3-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 29 Jun 2020 14:07:57 +0200

python-pebble (4.5.1-1) unstable; urgency=medium

  * Initial release. Closes: #959086.
  * Package as source python-pebble, as there is already an unrelated pebble
    source package in the distro.

 -- Matthias Klose <doko@debian.org>  Wed, 29 Apr 2020 11:47:17 +0200

=== debian/control ===
Source: python-pebble
Section: python
Priority: optional
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Uploaders: Matthias Klose <doko@debian.org>
Build-Depends: debhelper-compat (= 12), dh-python, python3-setuptools, python3-all
Standards-Version: 4.5.0
Homepage: https://pypi.org/project/Pebble/

Package: python3-pebble
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Threading and multiprocessing eye-candy
 Pebble provides a neat API to manage threads and processes within
 an application.

#Package: python-pebble-doc
#Architecture: all
#Section: doc
#Depends: ${sphinxdoc:Depends}, ${misc:Depends}
#Description: Threading and multiprocessing eye-candy (documentation)
# Pebble provides a neat API to manage threads and processes within
# an application.
# .
# This is the documentation package.

## python-pebble 4.6.0

=== debian/changelog ===
python-pebble (4.6.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 30 Dec 2020 21:04:02 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper-compat (= 12), dh-python, python3-setuptools, python3-all
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://pypi.org/project/Pebble/
 
 Package: python3-pebble

=== debian/watch ===
version=4

https://pypi.debian.net/Pebble/Pebble-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-pebble 4.6.1

=== debian/changelog ===
python-pebble (4.6.1-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 13 Mar 2021 13:46:17 +0100

## python-pebble 4.6.3

=== debian/changelog ===
python-pebble (4.6.3-1) unstable; urgency=medium

  * New upstream version.
  * New standards version.

 -- Matthias Klose <doko@debian.org>  Mon, 11 Oct 2021 14:24:49 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper-compat (= 12), dh-python, python3-setuptools, python3-all
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://pypi.org/project/Pebble/
 
 Package: python3-pebble

## python-pebble 5.0.3

=== debian/changelog ===
python-pebble (5.0.3-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 26 Dec 2022 12:22:44 +0100

python-pebble (5.0.2-1) unstable; urgency=medium

  * New upstream vesion.
  * New standards version.

 -- Matthias Klose <doko@debian.org>  Fri, 21 Oct 2022 20:16:26 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper-compat (= 12), dh-python, python3-setuptools, python3-all
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://pypi.org/project/Pebble/
 
 Package: python3-pebble

## python-pebble 5.0.7

=== debian/changelog ===
python-pebble (5.0.7-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 02 Apr 2024 17:40:25 +0200

python-pebble (5.0.6-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 30 Dec 2023 08:14:53 +0100

python-pebble (5.0.5-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 12 Dec 2023 07:04:09 +0100

python-pebble (5.0.4-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Fri, 24 Nov 2023 11:14:07 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper-compat (= 12), dh-python, python3-setuptools, python3-all
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://pypi.org/project/Pebble/
 
 Package: python3-pebble

## python-pebble 5.1.0

=== debian/changelog ===
python-pebble (5.1.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Fri, 29 Nov 2024 08:20:15 +0100

## python-pebble 5.1.1

=== debian/changelog ===
python-pebble (5.1.1-1) unstable; urgency=medium

  * New upstream version.
  * Update watch file. Closes: #1100683.

 -- Matthias Klose <doko@debian.org>  Wed, 19 Mar 2025 12:32:11 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper-compat (= 12), dh-python, python3-setuptools, python3-all
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://pypi.org/project/Pebble/
 
 Package: python3-pebble

=== debian/watch ===
version=4

https://pypi.debian.net/Pebble/pebble-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-pebble 5.1.3

=== debian/changelog ===
python-pebble (5.1.3-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Thu, 28 Aug 2025 14:49:41 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper-compat (= 12), dh-python, python3-setuptools, python3-all
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://pypi.org/project/Pebble/
 
 Package: python3-pebble

## python-pebble 5.2.0

=== debian/changelog ===
python-pebble (5.2.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump debhelper and standards version.

 -- Matthias Klose <doko@debian.org>  Mon, 16 Feb 2026 10:48:11 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper-compat (= 12), dh-python, python3-setuptools, python3-all
-Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13), dh-python, python3-setuptools, python3-all
+Standards-Version: 4.7.3
 Homepage: https://pypi.org/project/Pebble/
 
 Package: python3-pebble
